Get Linked External Wallet
curl --request GET \
--url https://staging.crossmint.com/api/2025-06-09/users/{userLocator}/linked-wallets/{address} \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/2025-06-09/users/{userLocator}/linked-wallets/{address}"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/2025-06-09/users/{userLocator}/linked-wallets/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "0x1234567890abcdef1234567890abcdef12345678",
"chain": "ethereum",
"ownership": {
"verified": true
},
"type": "external-wallet"
}User Identity
Get Linked External Wallet
Get a linked external wallet for a user by address.
API scope required: users.read
GET
/
2025-06-09
/
users
/
{userLocator}
/
linked-wallets
/
{address}
Get Linked External Wallet
Headers
API key required for authentication
Path Parameters
A user locator can be of the format:
email:<email>userId:<userId>phoneNumber:<phoneNumber>twitter:<handle>x:<handle>
Response
Linked wallet found
The wallet address
Example:
"0x1234567890abcdef1234567890abcdef12345678"
The blockchain of the wallet
Available options:
abstract, abstract-testnet, apechain, aptos, arbitrum, arbitrum-sepolia, arbitrumnova, arc-testnet, astar-zkevm, avalanche, avalanche-fuji, base, base-goerli, base-sepolia, bsc, bsc-testnet, chiliz, chiliz-spicy-testnet, coti, coti-testnet, crossmint-private-testnet-ethereum, crossmint-private-testnet-polygon, curtis, ethereum, ethereum-goerli, ethereum-sepolia, flow, flow-testnet, hedera, hedera-testnet, hypersonic-testnet, lightlink, lightlink-pegasus, mantle, mantle-sepolia, mode, mode-sepolia, optimism, optimism-goerli, optimism-sepolia, plume, plume-testnet, polygon, polygon-amoy, polygon-mumbai, rari, rari-testnet, robinhood-chain, robinhood-chain-testnet, scroll, scroll-sepolia, sei-atlantic-2-testnet, sei-pacific-1, shape, shape-sepolia, skale-nebula, skale-nebula-testnet, solana, soneium, soneium-minato-testnet, space, space-testnet, stellar, story, story-testnet, sui, tempo, tempo-testnet, u2u-nebulas, u2u-solaris, verify-testnet, viction, viction-testnet, world-chain, world-chain-sepolia, xai, xai-sepolia-testnet, xion, zenchain-testnet, zkatana, zkyoto, zora, zora-goerli, zora-sepolia Example:
"ethereum"
Ownership verification status of the wallet
- Option 1
- Option 2
Show child attributes
Show child attributes
The type of linked wallet
Available options:
external-wallet Example:
"external-wallet"
Was this page helpful?

